aboutsummaryrefslogtreecommitdiffstats
path: root/make/scripts/deploy-jars-webstarttest_pack200.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make/scripts/deploy-jars-webstarttest_pack200.sh')
-rwxr-xr-xmake/scripts/deploy-jars-webstarttest_pack200.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/make/scripts/deploy-jars-webstarttest_pack200.sh b/make/scripts/deploy-jars-webstarttest_pack200.sh
new file mode 100755
index 000000000..fd9e215a9
--- /dev/null
+++ b/make/scripts/deploy-jars-webstarttest_pack200.sh
@@ -0,0 +1,43 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+THISDIR=`pwd`
+
+cd $wsdir
+
+mkdir -p DLLS
+mv *linux*.jar DLLS/
+mv *windows*.jar DLLS/
+mv *macosx*.jar DLLS/
+
+mkdir -p JAVAS
+mv *.jar JAVAS
+
+cd JAVAS
+
+for i in *.jar ; do
+ echo pack200 -E9 $i.pack.gz $i
+ pack200 -E9 $i.pack.gz $i
+done
+
+cd $wsdir
+
+mv JAVAS/* .
+mv DLLS/* .
+
+rm -rf JAVAS DLLS
+
+cd $THISDIR
+